summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Chris Abela2010-08-01 04:34:16 +0200
committer Erik Hanson2010-08-01 04:34:16 +0200
commit2438a2e78c2d3114f84f6b2d187139b61a118030 (patch)
tree3b2492b777bd9add05111e31dc3b85fdef497629
parent42c8f54dd71b8ca5d29abf4631a1b63a41ae3eaa (diff)
downloadslackbuilds-2438a2e78c2d3114f84f6b2d187139b61a118030.tar.gz
academic/qhull: Build bump, install qhull.h.
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--academic/qhull/Make-config.sh.patch11
-rw-r--r--academic/qhull/qhull.SlackBuild12
2 files changed, 10 insertions, 13 deletions
diff --git a/academic/qhull/Make-config.sh.patch b/academic/qhull/Make-config.sh.patch
index 1b4ffab6da..11c1180398 100644
--- a/academic/qhull/Make-config.sh.patch
+++ b/academic/qhull/Make-config.sh.patch
@@ -1,5 +1,5 @@
---- Make-config.sh 2010-03-22 21:51:33.000000000 +0100
-+++ Make-config.sh.new 2010-03-22 21:52:40.000000000 +0100
+--- Make-config.sh 2010-03-26 07:21:14.000000000 +0000
++++ Make-config.sh.new 2010-03-26 07:24:34.000000000 +0000
@@ -114,7 +114,7 @@
### Man pages (trick to get around .man extension)
@@ -21,17 +21,18 @@
# how:
libqhull_la_LDFLAGS = -version-info 4:0:0 -lm
-@@ -233,7 +236,8 @@
+@@ -233,7 +236,9 @@
merge.h \
libqhull.h \
qset.h \
- user.h
+ user.h \
-+ random.h
++ random.h \
++ qhull.h
### Example programs
-@@ -246,10 +250,9 @@
+@@ -246,10 +251,9 @@
examples_DATA = \
user_eg.c \
user_eg2.c \
diff --git a/academic/qhull/qhull.SlackBuild b/academic/qhull/qhull.SlackBuild
index ac7b309b10..ca478dd9fd 100644
--- a/academic/qhull/qhull.SlackBuild
+++ b/academic/qhull/qhull.SlackBuild
@@ -7,15 +7,13 @@
PRGNAM=qhull
VERSION=${VERSION:-2010.1}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -39,7 +37,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -79,10 +77,8 @@ make install \
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
cp -a File_id.diz $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild